#*******************************************************************************#
#                                                                               #
#                            E A S I N S T A L L E R                            #
#                                                                               #
# About Box                                                                     #
#*******************************************************************************#
# Copyright (C) 2004 by Yuri Leikind.                                           #
#*******************************************************************************#
# This program is free software; you can redistribute it and/or                 #
# modify it under the terms of the GNU General Public                           #
# License as published by the Free Software Foundation                          #
#                                                                               #
# This program is distributed in the hope that it will be useful,               #
# but WITHOUT ANY WARRANTY; without even the implied warranty of                #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU             #
# General Public License for more details.                                      #
#                                                                               #
# You should have received a copy of the GNU General Public                     #
# License along with this program; if not, write to the Free Software           #
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.    #
#*******************************************************************************#
# $Id: about.rb,v 1.11 2004/07/06 15:22:44 leikind Exp $                         #
#*******************************************************************************#


module UI
    class About < AppToolkit::Dialog
        include Fox

        def initialize(parent)
        
        
            actions = {
                AppToolkit::Dialog::OK => Proc.new{}
            }
            
            super(parent, "about", 0, 0, actions)

            content = FXVerticalFrame.new(@content,LAYOUT_FILL_X|LAYOUT_FILL_Y)

            info = FXVerticalFrame.new(content,LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X|LAYOUT_FILL_Y,
                0,0,0,0,10,10,10,10);

            FXLabel.new(info,"Easinstaller",nil,
                ICON_BEFORE_TEXT|LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X|LAYOUT_FILL_Y).setFont(FXFont.new(
                    EasinstallerApp.get_app, "helvetica", 24, FONTWEIGHT_BOLD|FONTSLANT_ITALIC))

            FXLabel.new(info,@resources["version"] + VERSION_ ,nil,
                ICON_BEFORE_TEXT|LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X|LAYOUT_FILL_Y)

            FXHorizontalSeparator.new(info,
                SEPARATOR_GROOVE|LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X)


            FXLabel.new(info, @resources["about_content"], nil,
                JUSTIFY_LEFT|ICON_BEFORE_TEXT|LAYOUT_TOP|LAYOUT_LEFT|LAYOUT_FILL_X|LAYOUT_FILL_Y)


            FXText.new(info, nil, 0,
                FRAME_SUNKEN|LAYOUT_TOP|LAYOUT_FILL_X|LAYOUT_FILL_Y|TEXT_READONLY|TEXT_WORDWRAP).text = @resources["gpl"]
        end
    end
end
